Ubuntu

Resizing Konsole crashes the whole system

Reported by Alvin on 2011-04-14
798
This bug affects 151 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Undecided
Unassigned
nvidia-graphics-drivers (Arch Linux)
New
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: kdebase

Steps to reproduce:
- Start Konsole
- Drag a corner of the Konsole window to resize it.
- The system will now crash (half of the time)

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: konsole 4:4.6.2-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Thu Apr 14 14:42:45 2011
ProcEnviron:
 LANGUAGE=
 LANG=C
 SHELL=/bin/bash
SourcePackage: kdebase
UpgradeStatus: No upgrade log present (probably fresh install)

Alvin (alvind) wrote :
Alvin (alvind) wrote :

With 'crash' I mean: /nothing/ works anymore and hard reset is required. As far as I know, there are no logs of the event.

Rohan Garg (rohangarg) wrote :

Yep, i can confirm this too

Philip Muškovac (yofel) wrote :

Setting high as locking up the system is pretty severe.

Changed in kdebase (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Charles Peters II (cp) wrote :

This is also occurring on kubuntu natty i386.

I also have a system running maverick and ppa kde backports, so I think it has the same version of KDE, and it is working fine.

affects: kdebase (Ubuntu) → xorg (Ubuntu)
bugbot (bugbot) on 2011-04-15
tags: added: kubuntu
charles.figura (charles-figura) wrote :

I can confirm this as happening EVERYTIME on my natty installation.

SmartByte (smartbyte) on 2011-04-19
Changed in xorg (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
description: updated
Alvin (alvind) wrote :

Doubleclicking the titlebar (maximize) also works.

I can confirm this too on a updated natty. Happens when using hot corners and when using the maximize button, but seems only to affect "konsole" - other programs like firefox work fine

tags: added: i386
fbristow (fbristow) wrote :

I have the same problem when I am using the newest ("version current" as per jockey-kde) NVidia drivers, however the problem disappeared when I switched to using the 173 series drivers. Using the 173 series drivers I can resize the terminal to no end (albeit very slowly).

Timo Aaltonen (tjaalton) on 2011-04-28
affects: xorg (Ubuntu) → nvidia-graphics-drivers (Ubuntu)

This happens to me as well but not with konsole but kvirc ( irc client) and im using the nvidia current drivers.

Maybe someone send bugreport directly to nVidia?
http://www.nvnews.net/vbulletin/forumdisplay.php?f=14

metellius (haraldhv) wrote :

In https://bugs.archlinux.org/task/23381 an NVIDIA engineer stated (the last comment as of now) that they are aware and have reproduced the bug internally. No word on fix yet, though.

jordicoma (jordicoma22) wrote :

The problem only happens if there are the graphic effects active in kde.
For me, may the most of times doesn't crash, but fills the screen with random pixels, and this problem continues even after restarting the kdm.

On 04/30/2011 01:53 PM, jordicoma wrote:
> The problem only happens if there are the graphic effects active in kde.
> For me, may the most of times doesn't crash, but fills the screen with random pixels, and this problem continues even after restarting the kdm.
>
I can confirm that this is an issue with the desktop effects.

modprobe (modprobe) wrote :

Confirming GeForce 9300M GS using nvidia-current (270.41.06) on KDE graphics crash when resizing Konsole OR Gnome-terminal.

mr.goose (editor-garfnet) wrote :

Seems NVIDIA is well aware of the issue - and has been for the last month! Sadly there is little sign of any activity from NVIDIA with regard to solving the issue.

http://www.nvnews.net/vbulletin/showthread.php?t=161180
http://www.nvnews.net/vbulletin/showthread.php?t=161308

Also seems this bug report has been duplicated here:-
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/772311

Finally, it is possible to hang the system with gnome-terminal too! Granted, gnome-terminal is not quite as unstable as konsole. But if you fill the gnome-terminal window (e.g. run "ls" on a large directory), then grab the edge of the gnome-terminal window and resize it a bit, then it will start creating some strange artefacts on-screen. If you continue resizing then eventually it will hang. Sometimes you will have to wobble it about a bit. Other times it will hang straight away.

Best wishes, G.

This problem as a previous post i confirmed, if one disable desktop
effects it actually fixes the issue.

On 03/05/2011 09:20, mr.goose wrote:
> Seems NVIDIA is well aware of the issue - and has been for the last
> month! Sadly there is little sign of any activity from NVIDIA with
> regard to solving the issue.
>
> http://www.nvnews.net/vbulletin/showthread.php?t=161180
> http://www.nvnews.net/vbulletin/showthread.php?t=161308
>
> Also seems this bug report has been duplicated here:-
> https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/772311
>
> Finally, it is possible to hang the system with gnome-terminal too!
> Granted, gnome-terminal is not quite as unstable as konsole. But if you
> fill the gnome-terminal window (e.g. run "ls" on a large directory),
> then grab the edge of the gnome-terminal window and resize it a bit,
> then it will start creating some strange artefacts on-screen. If you
> continue resizing then eventually it will hang. Sometimes you will have
> to wobble it about a bit. Other times it will hang straight away.
>
> Best wishes, G.
>

The crash also happens on my Kubuntu 11.04 running on Geforce 8600 using NVIDIA's latest drivers (installed from jockey).

Problems is temporarily solved by disabling the desktop effects.

jlupox (jlupox) wrote :

Same problem, any terminal emulator resize crash the system.

Disabling desktop effects solved, I hope temporarily.....

NVIDIA NVS 3100M
Driver: 270.41.06
X Server 1.10.1
NV-CONTROL Version: 1.26

I confirm that the problem is caused by the nvidia 270.41.06 drivers (and not primairly by konsole).
I can reproduce it with kvirc and gimp by just resizing (or maximizing) them.

The symptom is a hangup of the entire system or "pixelated" corruption of the screen (see the
attached screenshot).

In the syslog the following messages can be found:

[ 1623.494466] NVRM: Xid (0000:01:00): 13, 0001 00000000 00005097 000015e0 00000000 00000100
[ 1637.600063] NVRM: Xid (0000:01:00): 8, Channel 00000001
[ 1639.600033] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context

Disabling desktop effects does not fix the problem for me.

The 173 legacy nvidia driver is not affected by this issue (though it has different problems that make it unusable).

mr.goose (editor-garfnet) wrote :

Switching off the desktop resolves the issue of the desktop freezing. However it still leaves lots of nasty screen artefacts - mostly random black boxes or parts of the screen that don't refresh. It's usable I suppose - but only just!

Sad to note that there is still nothing from NVIDIA - other than its usual deafening silence!

Best wishes, G.

A workaround is to downgrade to nvidia-current 260. Unfortunately an ABI incompatibility
requires also to downgrade to XOrg 1.9 and the whole process has to be done manually.

Fetch the packages via wget (note that I'm using the x86_64 packages here: replace amd64 with i386 if needed)

wget http://archive.ubuntu.com/ubuntu/pool/main/x/xorg-server/xserver-common_1.9.0-0ubuntu7.3_all.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/x/xorg-server/xserver-xorg-core_1.9.0-0ubuntu7.3_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/x/xserver-xorg-input-evdev/xserver-xorg-input-evdev_2.3.2-6ubuntu3.1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/x/xorg/xserver-xorg_7.5+6ubuntu3_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/x/xorg/xserver-xorg-input-all_7.5+6ubuntu3_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/x/xserver-xorg-input-mouse/xserver-xorg-input-mouse_1.5.0-2build1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/x/xserver-xorg-input-synaptics/xserver-xorg-input-synaptics_1.2.2-2ubuntu5_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/x/xserver-xorg-input-vmmouse/xserver-xorg-input-vmmouse_12.6.9-2build1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/x/xf86-input-wacom/xserver-xorg-input-wacom_0.10.8-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/x/xorg/xserver-xorg-video-all_7.5+6ubuntu3_amd64.deb

wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers/nvidia-current_260.19.06-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers/nvidia-glx-185-dev_260.19.06-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers/nvidia-glx-185_260.19.06-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers/nvidia-current-dev_260.19.06-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers/nvidia-185-libvdpau_260.19.06-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers/nvidia-185-libvdpau-dev_260.19.06-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers/nvidia-185-kernel-source_260.19.06-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/n/nvidia-graphics-drivers/nvidia-185-modaliases_260.19.06-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/n/nvidia-graphics-drivers/nvidia-current-modaliases_260.19.06-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/n/nvidia-settings/nvidia-settings_260.19.06-0ubuntu1_amd64.deb

Clean up the current installation:

sudo apt-get purge nvidia-current

and install everything with

sudo dpkg -i *.deb

then reboot.

ArdyFalls (afalls) wrote :

This happens to me too with Kubuntu 11.04. I am using amd64 with NVIDIA 275 GX

Riccardo Bellini (rick88) wrote :

The same things happens here with a clean Natty installation, on a amd64.

Have you tried disabling the desktop effects as mentioned above?

On Fri, May 6, 2011 at 12:55 PM, Rick1188 <email address hidden> wrote:

> The same things happens here with a clean Natty installation, on a
> amd64.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/760632
>
> Title:
> Resizing Konsole crashes the whole system
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/760632/+subscribe
>

--
Jonathan Aquilina

There is also another workaround - switch to nouveau.

bamyasi (iadzhubey) wrote :

> There is also another workaround - switch to nouveau.

Desktop freezes occur with nouveau driver as well here. They are not as simple to trigger but my system is usually dead within 5 minutes after boot when using nouveau driver, one way or another. It is triggered randomly by various graphical desktop events: resizing or maximizing a window, a pop-up window overlaying another one, etc. Symptoms are the same and the system is left in unusable state.

Andreas Nilsson (andrnils) wrote :

Nouveau hangs the system way more often then the nvidia driver for me as well.

With the nvidia-driver I a hung X, but I can still ssh into the box, so clean shutdown is possible.

I also noticed that when using mplayer to watch some 720p mkv-files ( non-vdpau ) X hangs just when movie is done and window about to disappear. Since i'm using tiling in kwin there might be a resize operation done there somewhere which is the actual cause.

ChiefB (ugj-ludwig) wrote :

@Stefanek

your workaround works for me, thanks. But after that i lost my german keyboard-key-mapping under X.
Any idea how to get rid of this? It's not a kde-problem, the charset in a real teminal or in a ssh-connection is ok.

Kokoko3k (kokoko3k) wrote :

Running the latest nvidia driver: 270.41.06 with old xorg-server 1.9 don't exhibits the issue for me on archlinux
So maybe it is not (only) an nvidia bug, but an interaction with newer xorg if not entirely an xorg bug.

I agree that it might be an interaction between X 1.10 and the nvidia drivers.
In my workaround I have also replaced X with an older version.

However the combination of X 1.10 and the 173 series of nvidia drivers
does not exhibit the issue here (it actually has different problems).

steveb (steveb9910) wrote :

This configuration DOES HAVE the konsole problem for me:
  kernel 2.6.35-28-generic (amd64 maverick kernel) OR 2.6.38-8-generic (amd64 natty kernel)
  xserver-xorg 1.10.1-1ubuntu1 (natty package)
  nvidia-current 270.41.06-0ubuntu1 (natty package)

This configuration DID NOT have the problem for me:
  kernel 2.6.35-28-generic (amd64 maverick kernel)
  xserver-xorg 1.9.0-0ubuntu7.3 (maverick package)
  nvidia-current 270.41.06-0ubuntu~xup~maverick (ubuntu x-swat package)

xserver-xorg being the only difference.
It looks like either an Xorg 1.10 problem, or some interaction between the nVidia driver and Xorg 1.10

steveb (steveb9910) wrote :

(This is a GeForce GTS 250 card)
A konsole / Xorg crash also gives 8 identical syslog entries:
    NVRM: Xid (0000:01:00): 13, 0001 00000000 00005097 000015e0 00000000 00000100

Chris (mail-christianmayer) wrote :

Feedback from nVidia that I got today:

> Thanks for the bugreport. This problem has already been reported to
> NVIDIA Engineering and is under investigation and should be fixed in
> a future driver.
>
> Please check future drivers for the fix.
>
> Unfortunately we don't have a schedule for this fix so I can't
> provide a timeframe.

Thanks, Chris! I'd appreciate it, if a future driver fixes this, that someone posts here how to get that driver.

mr.goose (editor-garfnet) wrote :

Thing is, NVIDIA has been aware of the issue for over a month! Five weeks in fact. Perhaps if NVIDIA is unable to resolve the issue in a timely manner, then it should release the source code so that others may have a go?

I shall certainly remember this fiasco next time I ever consider purchasing an NVIDIA product. Meantime, if I do find a fix then I will post it here. But don't hold your breath! NVIDIA clearly is in no hurry to fix this and we could be waiting quite a long time.

Best wishes, G.

You can already get the info about the cards so that one can code a
driver from scratch if I am not mistaken.

On 05/10/2011 10:20 PM, mr.goose wrote:
> Thing is, NVIDIA has been aware of the issue for over a month! Five
> weeks in fact. Perhaps if NVIDIA is unable to resolve the issue in a
> timely manner, then it should release the source code so that others may
> have a go?
>
> I shall certainly remember this fiasco next time I ever consider
> purchasing an NVIDIA product. Meantime, if I do find a fix then I will
> post it here. But don't hold your breath! NVIDIA clearly is in no hurry
> to fix this and we could be waiting quite a long time.
>
> Best wishes, G.
>

intelliboy (darshakthakore) wrote :

Following Szymon's post earlier, i downgraded my xserver and the nvidia drivers and everything is working fine. I had to go thru the trouble of pinning the packages in synaptic and then also holding them in dpkg separately just to make sure i don't accidently upgrade them.

Considering the severity of this bug and the fact that it may take a while before it gets fixed, it might be worthwhile to set up a ppa that allows downgrading xorg for natty with the relevant packages.

mr.goose (editor-garfnet) wrote :

FWIW here is the response I received from what nVidia laughingly describes as "Customer Care":-

"Hello,

Thank you for contacting NVIDIA Customer Care.

This problem has already been reported to NVIDIA Engineering (as you know) and is under investigation. Please check for the fix in a future driver.

Unfortunately there is currently no schedule I can provide.

Let me know if any more questions.

Best regards,

Mike
NVIDIA Customer Care

So there you have it folks - nVidia Customer Care that is about as much use as a chocolate teapot! Something one should definitely bear in mind next time one purchases any computer hardware, methinks.

Pretty poor show IMHO.

Best wishes, G.

51 comments hidden view all 131 comments
Ivan D Vasin (nisavid) wrote :

i've seen a number of people recommend installing the latest drivers from ppa:philip5/extra, but i'd like to caution wary users (and eager newbie users) against doing so by adding the PPA to their apt sources. doing so may cause a subsequent system-wide upgrade to upgrade more packages than you bargained for. then, if you later remove the PPA from your apt sources, apt will not revert those packages to the corresponding ones from the Ubuntu repos--they'll stay at the PPA's versions until Ubuntu's versions exceed them. to fully revert the packages, (as far as i know) you'll need to use something like ppa-purge <http://bigbrovar.aoizora.org/index.php/2010/01/10/how-to-safely-remove-ppa-repository-from-ubuntu/>.

to cherry-pick the nvidia-graphics package from the PPA, you can grab the appropriate .deb package directly from the PPA's web site by following the "View package details" link above the package list. this is the route i chose to resolve this bug on my systems. this [1] should be the appropriate .deb for 64-bit systems, and this [2] should be the one for 32-bit systems.

[1] https://launchpad.net/~philip5/+archive/extra/+build/2552862/+files/nvidia-current_275.09.04-natty%7Eppa1_amd64.deb
[2] https://launchpad.net/~philip5/+archive/extra/+build/2552863/+files/nvidia-current_275.09.04-natty%7Eppa1_i386.deb

nVidia releases stable 275.09.07.

So, can we expect this driver not in PPA but in official Ubuntu repository?

Looks like nVidia fixed this problem with the latest driver 275.09.07

http://www.nvidia.com/object/linux-display-amd64-275.09.07-driver.html

Charles Peters II (cp) wrote :
Download full text (3.4 KiB)

I was experiencing some lock-ups and performance issues with the previous 275.09.04 beta driver, but not nearly as bad as the nvidia-current driver currently in the natty main repository.

I have been running the new 275.09.07 driver all day without any issues thus far.

The new beta 275.09.07 is available via a ppa, with
add-apt-repository ppa:xorg-edgers/ppa
Please read the pages at https://launchpad.net/~xorg-edgers and https://launchpad.net/~xorg-edgers/+archive/ppa, this repository is descried as:
Go break your X here: https://launchpad.net/~xorg-edgers/+archive.
See https://wiki.ubuntu.com/XorgOnTheEdge for a script that installs and runs the test packages in a live CD/media session, for quick and easy temporary testing.

Most of you will want the nvidia-current i386 or amd64 package and perhaps the nvidia-settings package.
For direct downloads:

https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-current_275.09.07-0ubuntu1%7Eedgers%7Enatty_amd64.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-current_275.09.07-0ubuntu1%7Eedgers%7Enatty_i386.deb

https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-settings_275.09.07-0ubuntu1%7Eedgers%7Enatty_amd64.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-settings_275.09.07-0ubuntu1%7Eedgers%7Enatty_i386.deb

https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-185-kernel-source_275.09.07-0ubuntu1%7Eedgers%7Enatty_amd64.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-185-kernel-source_275.09.07-0ubuntu1%7Eedgers%7Enatty_i386.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-185-libvdpau-dev_275.09.07-0ubuntu1%7Eedgers%7Enatty_amd64.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-185-libvdpau-dev_275.09.07-0ubuntu1%7Eedgers%7Enatty_i386.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-185-libvdpau_275.09.07-0ubuntu1%7Eedgers%7Enatty_amd64.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-185-libvdpau_275.09.07-0ubuntu1%7Eedgers%7Enatty_i386.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-current-dev_275.09.07-0ubuntu1%7Eedgers%7Enatty_amd64.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-current-dev_275.09.07-0ubuntu1%7Eedgers%7Enatty_i386.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-glx-185-dev_275.09.07-0ubuntu1%7Eedgers%7Enatty_amd64.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-glx-185-dev_275.09.07-0ubuntu1%7Eedgers%7Enatty_i386.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-glx-185_275.09.07-0ubuntu1%7Eedgers%7Enatty_amd64.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-glx-185_275.09.07-0ubuntu1%7Eedgers%7Enatty_i386.deb
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-graphics-drivers_275.09.07-0ubuntu1%7Eedgers%7Enatty.diff.gz
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-graphics-drivers_275.09.07-0ubuntu1%7Eedgers%7Enatty.dsc
https://launchpad.net/%7Exorg-edgers/+archive/ppa/+files/nvidia-graphics-drivers_275.09.07.orig.tar.gz
https://launchpad.net/%7Exorg-edgers...

Read more...

I updated to nvidia driver version 275.09.07 using philip5's PPA and that solved the problem for me.
Here is his repo https://launchpad.net/~philip5

Brave Cobra (bravecobra) wrote :

Disabling the desktop effects in KDE4 and setting the graphical effects to "High display and low CPU" seems to fix the problem for me at the moment. These must be triggering something in the Xserver which made it going into an inifinit loop.

Yusef Maali (usef) wrote :

All the workarounds proposed here haven't worked for me.

I have had to revert to the nv driver to have a usable system.

I tried to downgrade xorg and the binary driver but my system still freeze.
I tried (with the current xorg) all the binaries driver from nvidia (270, 275 and the beta 280) and none of them work for me...

Vlado Plaga (vlado-gmx) wrote :

@Yusef: have you actually tried the 275.09.07 driver, or 275.09.04? The 275 driver(s) before that would not include the fix (I ran into that problem too), and I don't know about any beta 280.

Anyway "nouveau" would probably be preferable over the "nv" driver, from my experience. If you don't need 3D acceleration, it can be quite a good option (also supporting transparent Konsole).

Yusef Maali (usef) wrote :

@Vlada: yes, I have tried both.
I have tried the binary directly from nvidia site, not from the repository.
Check here: http://www.nvnews.net/vbulletin/showthread.php?t=122606

I was not able to use the nouveau driver due to some kind of libdrm incompatibility...

Vlado Plaga (vlado-gmx) wrote :

@yusef
So you're running a 275.09.07 driver, but it crashes when you resize the konsole, as Ubuntu's default official nvidia driver?
I also installed using the nvidia packages, but I found it quite complicated, so I wouldn't recommend it... but I don't remember where exactly the problem was. Maybe you're not actually completely running the new driver? Check "/var/log/Xorg.0.log". I get this line:

[ 29.076] (II) NVIDIA dlloader X Driver 275.09.04 Thu Jun 2 12:53:09 PDT 2011

The libdrm issue with nouveau (it's about installing the distribution package xserver-xorg-video-nouveau, right?) you're probably having because the nvidia driver overrides files that normally are under package management in Ubuntu. You could try to (manually) remove nvidia files completely and install nouveau again (possibly with "--reinstall" or "--force").

Yusef Maali (usef) wrote :

@vlado:
I've tried all the binaries available in the repositories, then I've started to try all the binaries from official nvidia releases (the lastest 270, 275 and 280).

None of them works.

My issue is not strictly related to konsole.
The system freezes whenever I have lot of GPU intensive task, ie a lot of transparencies, video player streaming or *flash player* running.
With Adobe Flash Player I'm having screen redrawing problem from maverik and natty has not solved it.

I'm starting to have the doubt that this may be a the signal of an imminent hardware failure...

About nouveau:
I have clean my system from all components of other drivers... I'm quite sure the problem isn't this...

Thks!

@Yusuf: have you tried disabling desktop effects? I think if you disable desktop effects and the system still keeps freezing, e.g. while Flash player is running, you have another problem.
You might be also affected by this bug, but I think you might have more problems such as a hardware problem or other bugs.
Did your problem occur when you updated to natty or did you experience similar problems before natty?
Are you using another operating system maybe? Does this also freeze? have you tried a memory test (just in case ;) )?

Ivan D Vasin (nisavid) wrote :

@Yusef:

at the risk of being a bit off-topic, i'll mention that i have a very similar experience on a Gentoo system with a GeForce GTX 465 using the 275.09.07 driver. i also have similar problems in Windows 7 in some graphics-intensive games and Flash videos with the same card, especially with the 275.33 driver (less so with the 270.61 or the 275.50). at some point, the whole system simply freezes; in Windows, the screen goes black for about 10 seconds, then reboots.

on a different system with a GeForce 330M, i don't have these issues, and the 275.09.04 and 275.09.07 drivers both resolve the specific issue in this bug (freezing during Konsole resize).

do you have a GTX 400 series card? if so, try a card from a different series. perhaps there's something wrong with these. i plan on doing the same when i find time to borrow my roommate's GTX 260.

Yusef Maali (usef) wrote :

@Christopher
Yes, I have other problems for sure... :(
Disabling desktop effect does not solve the problem, I have already tried.
I have a Windows installation, but it is inside VirtualBox. I don't have any OS other than Linux.

This situation started with a dist-upgrade of a few days ago.
As far as I remember, it has only upgraded nvidia-current and xserver-xorg stuff. Before this upgrade all works like a charm, as ever!

But it is very very strange that downgrading xorg and nvidia-current doesn't solve the problem. (this is why I'm thinking of an imminent graphics card failure).

@Ivan:
Nope, I have an old GeForce 8500GT (G86 family). Thks!

@All:
I think to be off-topic here...
Anyway I noticed that some seconds before the system totally crash, the X process goes to 100% of cpu utilization.
Then the system becomes totally unresponsiveness, even through ssh.

Thanks for your help!

Jens Grüntjes (jenzuslongus) wrote :

Does somebody know when the updated driver from NVIDIA will be available in the ubuntu repositories?
Can one help to speed that up a little? The freezes in my system are really annoying.

Thanks for any help!

Paolo Olivo (olivopaolo) wrote :

I don't know about the repositories, but I had the same problem and I
solved it by following these simple steps:

1. Get the new NVIDIA driver, by typing in a terminal

wget ftp://download.nvidia.com/XFree86/Linux-x86_64/275.09.04/NVIDIA-Linux-x86_64-275.09.04.run

2. Kill the X server:

- Log out
- press Ctrl+Alt+F1
- Log in to terminal user
- type: sudo stop kdm (or gdm)

3. Install the new driver:

- sudo sh NVIDIA-Linux-x86_64-275.09.04.run

4. Reboot

- sudo reboot

I hope it can help you.

Paolo

2011/7/28 Jens Grüntjes <email address hidden>:
> Does somebody know when the updated driver from NVIDIA will be available in the ubuntu repositories?
> Can one help to speed that up a little? The freezes in my system are really annoying.
>
> Thanks for any help!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/760632
>
> Title:
>  Resizing Konsole crashes the whole system
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
>  Confirmed
> Status in “nvidia-graphics-drivers” package in Arch Linux:
>  New
>
> Bug description:
>  Binary package hint: kdebase
>
>  Steps to reproduce:
>  - Start Konsole
>  - Drag a corner of the Konsole window to resize it.
>  - The system will now crash (half of the time)
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: konsole 4:4.6.2-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic x86_64
>  NonfreeKernelModules: nvidia
>  Architecture: amd64
>  Date: Thu Apr 14 14:42:45 2011
>  ProcEnviron:
>   LANGUAGE=
>   LANG=C
>   SHELL=/bin/bash
>  SourcePackage: kdebase
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/760632/+subscriptions
>

Jens Grüntjes (jenzuslongus) wrote :

@olivopaolo:
Did you uninstall the ubuntu driver first? Is the reboot really needed? Wouldn't it be sufficient to
sudo modprobe -r nvidia && sudo modprobe nvidia && sudo /etc/init.d/kdm start

But I'm still curious: Why did the updated driver not yet make it into the repositories?

Paolo Olivo (olivopaolo) wrote :

@Jens Grüntjes:
I didn't unistall the ubuntu driver first and I actually don't know if
reboot is really necessary.
Your solution may also be sufficient.

2011/7/29 Jens Grüntjes <email address hidden>:
> @olivopaolo:
> Did you uninstall the ubuntu driver first? Is the reboot really needed? Wouldn't it be sufficient to
> sudo modprobe -r nvidia && sudo modprobe nvidia && sudo /etc/init.d/kdm start
>
> But I'm still curious: Why did the updated driver not yet make it into
> the repositories?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/760632
>
> Title:
>  Resizing Konsole crashes the whole system
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
>  Confirmed
> Status in “nvidia-graphics-drivers” package in Arch Linux:
>  New
>
> Bug description:
>  Binary package hint: kdebase
>
>  Steps to reproduce:
>  - Start Konsole
>  - Drag a corner of the Konsole window to resize it.
>  - The system will now crash (half of the time)
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: konsole 4:4.6.2-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic x86_64
>  NonfreeKernelModules: nvidia
>  Architecture: amd64
>  Date: Thu Apr 14 14:42:45 2011
>  ProcEnviron:
>   LANGUAGE=
>   LANG=C
>   SHELL=/bin/bash
>  SourcePackage: kdebase
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/760632/+subscriptions
>

Merrill Holt (merrill-c) wrote :

Updated to the 280.13 64 bit driver using the nvidia provided script and it corrected the problem with the window resize.

Jens Grüntjes (jenzuslongus) wrote :

Can someone explain why the bug is not yet fixed? I think that there are plenty of users (at least 135 at this time) who would appreciate a bug fix. It is kind of sad if you have a more or less powerful graphics adapter and cannot use the desktop effects.

Probably because there is just 1.5 months before Oneiric release where available nVidia driver with fix. And because Natty users can use PPA where available driver with fix.

I think that Is not a excuse.
If Canonical does not provide bugfixes for products offered image is
terrible.
Personally I can not recommend ubuntu to anyone who is just starting with
linux if it happens. What's more I'm starting to try Debian on my second
computer in view of the users of Kubuntu are systematically ignored

2011/8/31 RussianNeuroMancer <email address hidden>

> Probably because there is just 1.5 months before Oneiric release where
> available nVidia driver with fix. And because Natty users can use PPA
> where available driver with fix.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/760632
>
> Title:
> Resizing Konsole crashes the whole system
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers” package in Arch Linux:
> New
>
> Bug description:
> Binary package hint: kdebase
>
> Steps to reproduce:
> - Start Konsole
> - Drag a corner of the Konsole window to resize it.
> - The system will now crash (half of the time)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: konsole 4:4.6.2-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Thu Apr 14 14:42:45 2011
> ProcEnviron:
> LANGUAGE=
> LANG=C
> SHELL=/bin/bash
> SourcePackage: kdebase
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/760632/+subscriptions
>

--
Julio_Sao XD

@ Julio A. Garcia Lopez
Well, you blame Canonical for not updating Kubuntu, which I think is kind of unfair. Canonical is responsible for Ubuntu. Kubuntu is more a community project supported by Canonical.
Of course you can have a try with Debian, at least then there is no company at all to blame ;)

But I also cannot understand why the bugfix which is long available is not in the repositories yet. And "wait for the next release or install the ppa" is not a good excuse, I agree. Because in the next release there will always be another bug like this and then you tell the users to wait for the release afterwards to get the fix. The user does never get a bug-free version if you continue like this. Therefore, bugfixes that affect stability and security should be distributed fast.

Download full text (3.4 KiB)

Now it is to criticize something they do wrong is blamming them?
With that attitude you will never improve anything.
Get in your head that if a company does something for you do it for
publicity or for money, and if you do not move to change something you do
wrong will never change.
This is not a blame is a warning of the bad publicity for canonical that
will have not solving this problems, at least among the KDE community. And
many of them are techinical users with influences other low-level users.
It is a serious bug, which leaves the system almost useless and have not
upgraded since April a driver with this bug. They never been interested in
it.
How do you want to talk? What we sing praises of how well things are done?
Sorry not my style blindly follow anyone, especially when I see that things
are done well.
We not are requesting for a imposible thing, simply to solve a bug. A bug
in a driver that are part of Kubuntu, but also of Ubuntu, and it mean that
canonical (that is th company that makes ubuntu ¿or not?) are distributing
buggy software and does not care about it.

You say that kubuntu are more community, but kde is in the ubuntu oficial
repository. If you install kde and system freezes simply resizing a window
impression that you can take?

El , "Christopher K." <email address hidden> escribió:
> @ Julio A. Garcia Lopez

> Well, you blame Canonical for not updating Kubuntu, which I think is kind
> of unfair. Canonical is responsible for Ubuntu. Kubuntu is more a
> community project supported by Canonical.

> Of course you can have a try with Debian, at least then there is no
> company at all to blame ;)

> But I also cannot understand why the bugfix which is long available is

> not in the repositories yet. And "wait for the next release or install

> the ppa" is not a good excuse, I agree. Because in the next release

> there will always be another bug like this and then you tell the users

> to wait for the release afterwards to get the fix. The user does never

> get a bug-free version if you continue like this. Therefore, bugfixes

> that affect stability and security should be distributed fast.

> --

> You received this bug notification because you are subscribed to the bug

> report.

> https://bugs.launchpad.net/bugs/760632

> Title:

> Resizing Konsole crashes the whole system

> Status in “nvidia-graphics-drivers” package in Ubuntu:

> Confirmed

> Status in “nvidia-graphics-drivers” package in Arch Linux:

> New

> Bug description:

> Binary package hint: kdebase

> Steps to reproduce:

> - Start Konsole

> - Drag a corner of the Konsole window to resize it.

> - The system will now crash (half of the time)

> ProblemType: Bug

> DistroRelease: Ubuntu 11.04

> Package: konsole 4:4.6.2-0ubuntu1

> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2

> Uname: Linux 2.6.38-8-generic x86_64

> NonfreeKernelModules: nvidia

> Architecture: amd64

> Date: Thu Apr 14 14:42:45 2011

> ProcEnviron:

> LANGUAGE=

> LANG=C

> SHELL=/bin/bash

> SourcePackage: ...

Read more...

First: Please do not quote full entries. This bug report is already full of hundreds of posts so we do not need to have all those fully quoted.

I did not want to distinguish between blaming and criticising. I simply meant that canonical is not responsible for kubuntu.

Because kde is _not_ officially supported by canonical. It's in the universe repositories. This means it's maintained by the community and not by canonical. There is so much software in the universe repository and one company can never be responsible for all these packages. The buggy driver might be in the restricted repositories with software supported by canonical but if this bug does not affect ubuntu, it is not a critical ubuntu bug. If you want to rely on what canonical does, just install ubuntu.

I will not respond to any response regarding this discussion because I think further discussion is meaningless.

We all agree that the fix for this bug should be released in the repositories as fast as possible.

z_mikowski (z-mikowski) wrote :

I have confirmed that downloading the 275.09.07 driver from NVIDIA fixes the freeze, which only recently became problematic for me.

1. Download 275.09.07 driver (64 bit) from http://www.nvidia.com/object/linux-display-amd64-275.09.07-driver.html
2. Switch to a virtual terminal
<Ctrl-Alt-F1> and login
3. Shutdown X:

z_mikowski (z-mikowski) wrote :

(Continue from above)
sudo stop kdm

4. Install new driver
cd ~/Downloads
chmod +x NVIDIA-Linux-x86_64-275.09.07.run
./NVIDIA-Linux-x86_64-275.09.07.run
# When notified that preinstall script failed, agree to proceed anyway

5. Reboot

This is the most trusted near-term solution, and /should/ be fairly clean. When the repo gets 275.xx.xx, it should overwrite this installation.

Jarl (jarl-dk) wrote :

According to this announcment (http://www.nvnews.net/vbulletin/showthread.php?p=2441669) it should be fixed in 275.09.4.

What happend to comment #85 promising 275.09.04 will be in the repos soon ???

Jean-Philippe Fleury (jpfle) wrote :

I added "One Hundred Paper Cuts" in the list of affected projects, in the hope they will put the updated package fixing this bug in the repos.

According to this project: "A paper cut is a trivially fixable usability bug that the average user would encounter in default installation of Ubuntu or Kubuntu Desktop Edition."

I've just installed a default Kubuntu 11.04 yesterday, and I encountered system freeze after only a few minutes. And this bug is " trivially fixable" since there's an updated package fixing this bug; it's just not in the official repos.

Timothy Arceri (t-fridey) wrote :

Hi Jean,
              Marking this as a papercut is not going to help getting the package in the repo. You should instead mark the package that is fixed as fix committed. This way package maintainers know that a fix is available for this bug and it may give them a reason to update the package.

Changed in hundredpapercuts:
status: New → Invalid
Jean-Philippe Fleury (jpfle) wrote :

Hi Timothy,

I thought it could be a papercut. Thanks for your explanation about marking the package. I'll do that.

Regards.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Fix Committed
luxifer (dhertel) wrote :

@Christopher K.
> The buggy driver might be in the restricted repositories with software supported by canonical but if this bug does not affect ubuntu, it is not a critical ubuntu bug.
But it does... just not as badly... maybe one should have done another duplicate bug report to point that out? also this was indeed a driver bug and howmuch effort would it have cost canonical to just package the newer version? i mean: this is ridiculous!

@Timothy Arceri
It's still a papercut though!

Peter Cao (ptrcao) wrote :

I'm still getting this error. Kbuntu 11.04 64-bit. Resize Konsole and the system locks up. Hard reset is only solution.

Peter Cao (ptrcao) wrote :

I manually installed the latest nvidia driver from their site and got an error that the kernel module was mismatched with the nvidia driver version. My display manger wouldn't even start until I purged and reinstalled the problematic version of nvidia again. See http://askubuntu.com/questions/37590/nvidia-drivers-not-working-after-upgrade-why-can-i-only-see-terminal.

I don't know how you guys are doing it without all sorts of complications arising. It broke my system and now I am back to the offending version again. Now I'm scared to resize windows. This bug has been up for 5 months. Why hasn't the new driver been officially passed through to the official repositories?

Doing unofficial things break your system. Especially if you are not an expert and there is a lack of official guidance on issues like this. I have to trawl through forums and I don't feel comfortable having to perform changes that could break my system. I don't mind Debian being like this because they don't have any pretenses of being user friendly, but I expected more from Kubuntu. :(

Philip Muškovac (yofel) wrote :

I'm not part of the Ubuntu X team, so I don't know why this isn't getting an SRU, but please don't mess around with the driver script from nvidia unless you know exactly what you're doing. Also, the driver from nvidia isn't supported in ubuntu, so please don't suggest it (at least not here in the bug tracker). The best workaround currently is adding 'ppa:ubuntu-x-swat/x-updates' to your sources, which has an updated driver for natty (280.13 right now).

Was having the Konsole resize crash and random pixel problems on Natty i386 with GeForce 310. Tried latest drivers from NVIDIA site as well as rolling back to older versions of the driver but nothing worked. Followed Philip Muškovac's advice (#126), added 'ppa:ubuntu-x-swat/x-updates' to my sources, updated to the 280.13 version of the driver, and everything is working perfectly now.

Muškovac's advice (#126) worked for me with the konsole issue. So this is a good first step. I'm still having issue during boot, shutdown and accessing text console via: ctrl+alt+F1. I get a white screen with black garbled text. This seems related, since it has to do with the display, however it might be part of another bug.

Is anyone seeing the same issue with ctrl+alt+F1?

Peter Borghard

barbolani (barbolani-gmail) wrote :

It has been more than six months since this was reported, and the fixed nVidia driver it is not yet part of the official repository, which makes me believe that Natty has shipped with this bug, is my logic correct?

barbolani (barbolani-gmail) wrote :

Apologies, I meant 11.10, not Natty. Is 11.10 being shipped with the bug?

Philip Muškovac (yofel) wrote :

No, this is fixed in 11.10 as it shipped with 280.13 and this bug was fixed in 275, so I'm closing this for oneiric.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Fix Committed → Fix Released
Teddy Bear (chamushiv) on 2012-10-17
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Teddy Bear (chamushiv)
assignee: Teddy Bear (chamushiv) → nobody
Displaying first 40 and last 40 comments. View all 131 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions